# Interface ReferenceType

All Superinterfaces:
  `TypeMirror`

All Known Subinterfaces:
  `AnnotationType, ArrayType, ClassType, DeclaredType, EnumType, InterfaceType, TypeVariable`

public interface ReferenceType extends TypeMirror
Represents a reference type. These include class and interface types, array types, and type variables.

Since:
  1.5
Version:
  1.2 04/06/07
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

### Methods inherited from interface TypeMirror

`accept, equals, toString`